//
// Created by mockie on 30/01/2021.
//

#ifndef GGJ_2021_GAMEMANAGER_H
#define GGJ_2021_GAMEMANAGER_H

#include <moduleGraphics/GraphicsManager.h>
#include "moduleGameLogic/Player.h"
#include "moduleGameLogic/Land.h"
#include "moduleGameLogic/ColliderMap.h"

class GameManager {
public:
    GameManager();
    ~GameManager() = default;
    const fileParser::AnimData &getAnimation(const std::string &name);
    void initialize();
    void run();
    void close(){};

    GraphicsManager _gm;
    Player *_player;
    Land *_land;
    ColliderMap* _colliderMap;
};


#endif //GGJ_2021_GAMEMANAGER_H
