//
// Created by Quequ'un on ojourdoui.
//

#ifndef GGJ_2021_PLAYER_H
#define GGJ_2021_PLAYER_H

#include <moduleGraphics/GraphicsManager.h>

enum PlayerColor {
	BLUE, GREEN, YELLOW, RED
};

class Player {
public:
	Player(GraphicsManager* gm, float x, float y, PlayerColor color);
	void move();
	void draw();
	std::vector<sf::Vector2f> getCorners() const;
private:
	const fileParser::AnimData& getAnimation(const std::string& name);
	GraphicsManager* _gm;
	float _lastXPosition;
	float _lastYPosition;
	std::string _currentAnimation;
	size_t _spriteId;
};

#endif //GGJ_2021_PLAYER_H
