//
// Created by mockie on 30/01/2021.
//

#ifndef GGJ_2021_ISLE_H
#define GGJ_2021_ISLE_H

#include "utilities.h"

class Isle {
public:


    enum Size{
        LARGE   = 0,
        MEDIUM  = 1,
        SMALL   = 3
    };

    enum Biome{
        Roche   = 0,
        Lave    = 1,
        Prairie = 2,
        Bonbon  = 3,
        Neige   = 4
    };

    void set(const Vector2f & pos, const Size & isleSize, const Size & bottomSize, const Biome & biome);

    const Size& IsleSize(){return _size;};
    const Size& BottomSize(){return _bottomSize;};
    const Biome& IsleBiome(){return _biome;};

    void SetSize(Size s){_size = s;};
    void SetBottomSize(Size s){_bottomSize = s;};
    void SetBiome(Biome b){_biome = b;};

private:
    Size _size;
    Size _bottomSize;
    Biome _biome;
public:
    Vector2f position = Vector2f (0,0);
};


#endif //GGJ_2021_ISLE_H
