/*
** EPITECH PROJECT, 2020
** RType
** File description:
** GraphicalHandler
*/

#include "graphicalEngine/GraphicalHandler.hpp"

void graphicalEngine::GraphicalHandler::display()
{
    this->_sm.animateSprites();
    this->_renderWindow->display();
    this->_kbm.listen();
}

sf::Vector2i graphicalEngine::GraphicalHandler::getMousePos() const
{
    return _mouse.getPosition(_renderWindow->getWindowInstance());
}

bool graphicalEngine::GraphicalHandler::isMouseClicked(sf::Mouse::Button button) const
{
    return _mouse.isButtonPressed(button);
}

void graphicalEngine::GraphicalHandler::clearAll()
{
    _sm.clear();
}
