# GGJ-2021

Un projet de jeu vidéo commencé (et peut être continué ?) pendant la Global Game JAM 2021


## Spécifications techniques (How to Build)

### Linux

```bash
mkdir build && cd build
conan install .. --build=missing
cmake ..
cmake --build . # Build the project
```

### Windows

```bash
mkdir build && cd build
conan install .. --build=missing
cmake ..
cmake --build . # Build the project
cp ../cmake-dependencies/* bin/
```

A part si les libs sont configurées autrement, seulement la dernière ligne bash (avant-dernière pour Windows) est nécessaire pour recompiler le code.

## Lancer le jeu (How to Launch)

### Linux

```bash
./bin/ggj-2021
```

### On Windows

```bash
./bin/ggj-2021.exe
```