//
// Created by mockie on 30/01/2021.
//

#ifndef GGJ_2021_GRAPHICSMANAGER_H
#define GGJ_2021_GRAPHICSMANAGER_H

#include "graphicalEngine/GraphicalHandler.hpp"


class GraphicsManager {
public:
    GraphicsManager();
    ~GraphicsManager() = default;
    void render() {
        this->_graphical.display();
    }
    void init(const std::string &path);

    graphicalEngine::GraphicalHandler _graphical;
    std::vector<fileParser::AnimData> _animations;
};


#endif //GGJ_2021_GRAPHICSMANAGER_H
