//
// Created by mockie on 30/01/2021.
//

#ifndef GGJ_2021_MAP_H
#define GGJ_2021_MAP_H

#include <vector>
#include <memory>
#include "MapGraph.h"
#include "Isle.h"
#include "MapGenerator.h"

class Map {
public:

    const int& Seed(){return _seed;};
    const MapGraph& CurrentMap(){return _graph;};

    void generate(int seed);

protected:
    MapGraph _graph;
    int _seed;
    MapGenerator generator;

};


#endif //GGJ_2021_MAP_H
