#ifndef R_TYPE_SERVER_IGAME_HPP
#define R_TYPE_SERVER_IGAME_HPP

#include "Client.hpp"

class IGame {
public:
    virtual ~IGame() = default;

    virtual bool addPlayer(Client &) = 0;
    virtual bool removePlayer(Client &) = 0;
    virtual void start() = 0;
    virtual void addClientData(int idClient, std::string buffer) = 0;
    virtual const std::vector<std::reference_wrapper<Client>> &getPlayers() const noexcept = 0;
    virtual bool isStart() const noexcept = 0;
};


#endif //R_TYPE_SERVER_IGAME_HPP
