//
// Created by mockie on 30/01/2021.
//

#include "moduleMap/MapGraph.h"

Isle* MapGraph::add_isle(Isle &isle) {

    auto it = _isles.begin();

    if(!_isles.empty())
        it = _isles.insert(it, isle);
    else
    {
        while ((it != _isles.end())&&(it->position.y > isle.position.y))
        {

            it++;
        }

        it = _isles.insert(it, isle);

    }





    return &(*it);

}

void MapGraph::link(Isle *isle1, Isle *isle2) {

    auto it1 = _isles.begin();
//    it1 = std::find(_isles.begin(), _isles.end(), isle1);

    auto it2 = _isles.begin();
//    it2 = std::find(_isles.begin(), _isles.end(), isle2);

    float hdif = it1->position.x - it2->position.x;
    float vdif = it1->position.y - it2->position.y;

    Orientation orient;

    if ((hdif < 0 && vdif < 0) || (hdif > 0 && vdif > 0))
        orient = Orientation::TOPDOWN;
    else if ((hdif > 0 && vdif < 0) || (hdif < 0 && vdif > 0))
        orient = Orientation::DOWNTOP;
    else if (hdif == 0)
        orient = Orientation::HORIZONTAL;
    else if (vdif == 0)
        orient = Orientation::VERTICAL;
#ifdef DEBUG
    else
        std::out << "2 iles identiques" << std::endl;
#endif


    _edges.emplace_back(Edge(orient,Color::GRAY, (int)vdif, isle1, isle2));

}


