/*
** EPITECH PROJECT, 2020
** RType
** File description:
** FontManager
*/

#ifndef __FONTMANAGER_H_
#define __FONTMANAGER_H_

#include <map>
#include <string>
#include <SFML/Graphics.hpp>

namespace graphicalEngine {

    class FontManager {
        public:

            FontManager() = default;
            ~FontManager() = default;

            FontManager(const FontManager&) = default;
            FontManager& operator=(const FontManager &rhs) = default;

            sf::Font &getFont(const std::string &filePath);
            sf::Text createText(sf::Font &font);

        private:
            std::map<std::string, sf::Font> _fonts;

            size_t _id = 0;
    };

}

#endif // __FONTMANAGER_H_
