#ifndef R_TYPE_SERVER_UIELEMENT_HPP
#define R_TYPE_SERVER_UIELEMENT_HPP

#include <optional>
#include "Sprite.hpp"

namespace graphicalEngine {
    class UIElement {
    public:
        UIElement() = default;
        ~UIElement() = default;
        UIElement(const UIElement &) = delete;
        UIElement &operator=(const UIElement &) = delete;
    private:
        std::optional<Sprite> _sprite;
    };
}

#endif //R_TYPE_SERVER_UIELEMENT_HPP
